sudo: false
language: go
go:
- 1.6.x
- 1.7.x
- 1.8.x

install:
  - go get -v -d -t github.com/golang/protobuf/...
  - curl -L https://github.com/google/protobuf/releases/download/v3.3.0/protoc-3.3.0-linux-x86_64.zip -o /tmp/protoc.zip
  - unzip /tmp/protoc.zip -d $HOME/protoc

env:
  - PATH=$HOME/protoc/bin:$PATH

script:
  - make all test
